Bug 489929 - Review request: libhbaapi - SNIA HBAAPI library
Review request: libhbaapi - SNIA HBAAPI library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 489962
  Show dependency treegraph
 
Reported: 2009-03-12 11:35 EDT by Jan Zeleny
Modified: 2009-04-09 03:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494546 494659 (view as bug list)
Environment:
Last Closed: 2009-04-09 03:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2009-03-12 11:35:19 EDT
Spec URL: http://jzeleny.fedorapeople.org/packages/libhbaapi/libhbaapi.spec
SRPM URL: http://jzeleny.fedorapeople.org/packages/libhbaapi/libHBAAPI-2.2-2.fc10.src.rpm
Description: 

Package contains HBA API library, used as a wrapper for other vendor specific libraries. Package will be used as a connector between FCoE Utilities and libhalinux.
Comment 1 Dan Horák 2009-03-30 10:13:18 EDT
formal review is here, see the notes below:

BAD	source files match upstream:
BAD	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel
OK	pkgconfig files in -devel
OK	no libtool .la droppings.
OK	not a GUI app.

- full URLs for Sources are missing
- the %name tag should be all in lowercase to be consistent with archive name (https://fedoraproject.org/wiki/Packaging/NamingGuidelines)
- it's preferred to have the Requires for the devel sub-package on separate lines
- rpmlint complains a bit:
libHBAAPI-debuginfo.x86_64: W: invalid-license SNIA
libHBAAPI-devel.x86_64: W: invalid-license SNIA
libHBAAPI.src: W: invalid-license SNIA
libHBAAPI.x86_64: W: invalid-license SNIA
 => SNIA license was recently added to the list of good licenses and is not yet known to rpmlint

libHBAAPI.src: E: invalid-spec-name
 => package name and spec filename are not in sync

libHBAAPI-devel.x86_64: W: no-documentation
 => can be ignored
- you can apply the "includes" patch supplied by the hbaapi_build archive instead of using an own copy
Comment 3 Dan Horák 2009-03-31 06:34:22 EDT
- the hbaapi_build_2.2.tar.gz tarball differs between this package and upstream URL (length 674018 vs. 672470)
- the %description for the main package could be more verbose
Comment 4 Dan Horák 2009-03-31 06:37:04 EDT
link to the thread about the SNIA license on fedora-legal mailing list - https://www.redhat.com/archives/fedora-legal-list/2009-February/msg00033.html
Comment 5 Jan Zeleny 2009-04-01 09:09:11 EDT
Updated SPEC: http://jzeleny.fedorapeople.org/packages/libhbaapi/libhbaapi.spec
Updated SRPM: http://jzeleny.fedorapeople.org/packages/libhbaapi/libhbaapi-2.2-4.fc10.src.rpm

I added one line to the description. It's not much, but hopefully it's enough for now.
Comment 6 Dan Horák 2009-04-01 10:15:39 EDT
All issues are fixed, this package is APPROVED.
Comment 7 Jan Zeleny 2009-04-02 03:40:24 EDT
New Package CVS Request
=======================
Package Name: libhbaapi
Short Description: Package contains HBA API
library. It will be used as a connector
between FCoE Utilities and libhbalinux.
Owners: jzeleny
Branches: 
InitialCC:
Comment 8 Kevin Fenzi 2009-04-03 16:41:57 EDT
I used "SNIA HBAAPI library" as the Short Description as that seems more correct. 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.